/* // Example LootEntry //
    Item.of('wares:sealed_delivery_agreement', 
    "{backsideMessage:'{\"text\":\"Lorem ipsum dolor sit amet consectetur adipiscing nostrud ipsum magna incididunt ut occaecat nisi do et et excepteur labore aliqua ullamco occaecat adipiscing pariatur, dolore reprehenderit nisi elit\\\\nsed est quis occaecat id sint pariatur, mollit dolor dolore ut tempor consequat dolor\\\\nin eiusmod nostrud do magna\"}',
    buyerAddress:'{\"text\":\"59 Side Road, Vibrant Plains Village\"}',
    buyerName:[{component:'{\"color\":\"dark_gray\",\"text\":\"Greg the Blacksmith\"}'},
    {component:'{\"color\":\"dark_red\",\"text\":\"Arnold the Butcher\"}'}],
    deliveryTime:100,
    experience:{max:40,min:10,step:10},
    expiresInSeconds:300,
    id:\"example_agreement_sealed\",
    message:'{\"text\":\"Lorem ipsum dolor sit amet consectetur adipiscing officia fugiat sit aliqua excepteur dolore aute ea anim exercitation elit\\\\nsed mollit ullamco\"}',
    ordered:{max:64,min:12,step:8},
    payment:\"minecraft:chests/buried_treasure\",
    requested:\"minecraft:chests/village/village_butcher\",
    sealTooltip:'{\"text\":\"Wares Inc.\"}',
    title:'{\"text\":\"Example Agreement\"}'}")  
*/

// =========================================
// Building Agreements and Adding to Loot Tables
// =========================================

LootJS.modifiers((event) => {
  event
    .addLootTableModifier("wares:chests/sealed_agreements")
    .addWeightedLoot([
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"A very special HellNoFresh offer inside!"}\', buyerAddress:\'{"text":"59 Cowseeum Lane, Suite B"}\',buyerName:[{component:\'{"color":"dark_green","text":"HellNoFresh"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"hellnofresh_beef_agreement_sealed",message:\'{"text":"HellNoFresh has launched a new promotion: Just supply a dead cow, and they\\\'ll send you a Diamond Star meal kit for your home cooking adventure!\\\\nThis offer is only available for a limited time, so grab it before it despawns!"}\',ordered:{max:12,min:4,step:2},payment:"wares:chests/hellnofresh_beef_packages",requested:[{id: "butchersdelight:dead_cow"}],sealTooltip:\'{"text":"HellNoFresh Inc."}\',title:\'{"text":"Beefy Goodness Deluxe Promotion"}\'}'
        )
      ).withChance(1),
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"A very special HellNoFresh offer inside!"}\', buyerAddress:\'{"text":"59 Cowseeum Lane, Suite B"}\',buyerName:[{component:\'{"color":"dark_green","text":"HellNoFresh"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"hellnofresh_pork_agreement_sealed",message:\'{"text":"HellNoFresh has launched a new promotion: Just supply a dead pig, and they\\\'ll send you a Diamond Star meal kit for your home cooking adventure!\\\\nThis offer is only available for a limited time, so grab it before it despawns!"}\',ordered:{max:12,min:4,step:2},payment:"wares:chests/hellnofresh_pork_packages",requested:[{id: "butchersdelight:deadpig"}],sealTooltip:\'{"text":"HellNoFresh Inc."}\',title:\'{"text":"Porky Perfection Deluxe Promotion"}\'}'
        )
      ).withChance(1),
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"A very special HellNoFresh offer inside!"}\', buyerAddress:\'{"text":"59 Cowseeum Lane, Suite B"}\',buyerName:[{component:\'{"color":"dark_green","text":"HellNoFresh"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"hellnofresh_mutton_agreement_sealed",message:\'{"text":"HellNoFresh has launched a new promotion: Just supply a dead sheep, and they\\\'ll send you a Diamond Star meal kit for your home cooking adventure!\\\\nThis offer is only available for a limited time, so grab it before it despawns!"}\',ordered:{max:12,min:4,step:2},payment:"wares:chests/hellnofresh_mutton_packages",requested:[{id: "butchersdelight:deadsheep"}],sealTooltip:\'{"text":"HellNoFresh Inc."}\',title:\'{"text":"Mmm-Mmm-Mutton Deluxe Promotion"}\'}'
        )
      ).withChance(1),
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"A very special HellNoFresh offer inside!"}\', buyerAddress:\'{"text":"59 Cowseeum Lane, Suite B"}\',buyerName:[{component:\'{"color":"dark_green","text":"HellNoFresh"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"hellnofresh_chicken_agreement_sealed",message:\'{"text":"HellNoFresh has launched a new promotion: Just supply a dead chicken, and they\\\'ll send you a Diamond Star meal kit for your home cooking adventure!\\\\nThis offer is only available for a limited time, so grab it before it despawns!"}\',ordered:{max:12,min:4,step:2},payment:"wares:chests/hellnofresh_chicken_packages",requested:[{id: "butchersdelight:deadchiken"}],sealTooltip:\'{"text":"HellNoFresh Inc."}\',title:\'{"text":"Chick-a-licious Deluxe Promotion"}\'}'
        )
      ).withChance(1),
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"Hocus Pocus!"}\', buyerAddress:\'{"text":"4 Privet Drive, Little Whinging"}\',buyerName:[{component:\'{"color":"dark_green","text":"Albert Fumblesnore, Headmaster"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"enchanted_book_agreement_sealed",message:\'{"text":"Donate your unwanted Enchanting Books to the Hogfarts Annual Book Drive! Help wizard and witch orphans who can\\\'t afford their own books. In return, you\\\'ll receive a shiny new enchanted book as a trade! A magical way to give and receive."}\',ordered:{max:15,min:5,step:2},payment:[{id:"wares:package",Count:1,tag:{display:{Name:\'{"text":"Change-A-Chant Delivery"}\'},packedItems: "wares:chests/trade_a_book"}}],requested:[{id: "minecraft:enchanted_book"}],sealTooltip:\'{"text":"Change-A-Chant"}\',title:\'{"text":"Change-A-Chant Enchanting Exchange!"}\'}'
        )
      ).withChance(5),
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"A King\\\'s Ransom!"}\', buyerAddress:\'{"text":"Cobblekeep Castle"}\',buyerName:[{component:\'{"color":"dark_green","text":"King Creeperlot"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"coin_agreement_sealed",message:\'{"text":"Hear ye, hear ye! It hath come to mine attention that thou hast recovered a portion of our royal treasure from knaves who secreted it away. Return these coins to thy King, and a handsome reward shalt be thine. Act swiftly!"}\',ordered:{max:15,min:5,step:2},payment:[{id:"wares:package",Count:1,tag:{display:{Name:\'{"text":"The King\\\'s Handsome Reward"}\'},packedItems: "wares:chests/kings_reward"}}],requested:[{id: "#forge:coins"}],sealTooltip:\'{"text":"From His Majesty, The King"}\',title:\'{"text":"Thou Hast Found Mine Treasure!"}\'}'
        )
      ).withChance(5),
    ]);

  event
    .addLootTableModifier("wares:chests/village_sealed_agreements")
    .addWeightedLoot([
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"A very special HellNoFresh offer inside!"}\', buyerAddress:\'{"text":"59 Cowseeum Lane, Suite B"}\',buyerName:[{component:\'{"color":"dark_green","text":"HellNoFresh"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"hellnofresh_beef_agreement_sealed",message:\'{"text":"HellNoFresh has launched a new promotion: Just supply a dead cow, and they\\\'ll send you a Diamond Star meal kit for your home cooking adventure!\\\\nThis offer is only available for a limited time, so grab it before it despawns!"}\',ordered:{max:12,min:4,step:2},payment:"wares:chests/hellnofresh_beef_packages",requested:[{id: "butchersdelight:dead_cow"}],sealTooltip:\'{"text":"HellNoFresh Inc."}\',title:\'{"text":"Beefy Goodness Deluxe Promotion"}\'}'
        )
      ).withChance(1),
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"A very special HellNoFresh offer inside!"}\', buyerAddress:\'{"text":"59 Cowseeum Lane, Suite B"}\',buyerName:[{component:\'{"color":"dark_green","text":"HellNoFresh"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"hellnofresh_pork_agreement_sealed",message:\'{"text":"HellNoFresh has launched a new promotion: Just supply a dead pig, and they\\\'ll send you a Diamond Star meal kit for your home cooking adventure!\\\\nThis offer is only available for a limited time, so grab it before it despawns!"}\',ordered:{max:12,min:4,step:2},payment:"wares:chests/hellnofresh_pork_packages",requested:[{id: "butchersdelight:deadpig"}],sealTooltip:\'{"text":"HellNoFresh Inc."}\',title:\'{"text":"Porky Perfection Deluxe Promotion"}\'}'
        )
      ).withChance(1),
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"A very special HellNoFresh offer inside!"}\', buyerAddress:\'{"text":"59 Cowseeum Lane, Suite B"}\',buyerName:[{component:\'{"color":"dark_green","text":"HellNoFresh"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"hellnofresh_mutton_agreement_sealed",message:\'{"text":"HellNoFresh has launched a new promotion: Just supply a dead sheep, and they\\\'ll send you a Diamond Star meal kit for your home cooking adventure!\\\\nThis offer is only available for a limited time, so grab it before it despawns!"}\',ordered:{max:12,min:4,step:2},payment:"wares:chests/hellnofresh_mutton_packages",requested:[{id: "butchersdelight:deadsheep"}],sealTooltip:\'{"text":"HellNoFresh Inc."}\',title:\'{"text":"Mmm-Mmm-Mutton Deluxe Promotion"}\'}'
        )
      ).withChance(1),
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"A very special HellNoFresh offer inside!"}\', buyerAddress:\'{"text":"59 Cowseeum Lane, Suite B"}\',buyerName:[{component:\'{"color":"dark_green","text":"HellNoFresh"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"hellnofresh_chicken_agreement_sealed",message:\'{"text":"HellNoFresh has launched a new promotion: Just supply a dead chicken, and they\\\'ll send you a Diamond Star meal kit for your home cooking adventure!\\\\nThis offer is only available for a limited time, so grab it before it despawns!"}\',ordered:{max:12,min:4,step:2},payment:"wares:chests/hellnofresh_chicken_packages",requested:[{id: "butchersdelight:deadchiken"}],sealTooltip:\'{"text":"HellNoFresh Inc."}\',title:\'{"text":"Chick-a-licious Deluxe Promotion"}\'}'
        )
      ).withChance(1),
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"Your Xmas Bonus Inside!"}\', buyerAddress:\'{"text":"173 Duane Lane"}\',buyerName:[{component:\'{"color":"dark_green","text":"Frank Shirley, Senior VP, NutratoX"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"jelly_agreement_sealed",message:\'{"text":"What a cheap, lying, no-good, rotten, low-life, snake-licking, dirt-eating, inbred, ignorant, blood-sucking, dog-kissing, brainless, hopeless, heartless, bug-eyed, spotty-lipped, worm-headed sack of monkey crap he is!"}\',ordered:{max:12,min:12,step:1},payment:[{id:"wares:package",Count:1,tag:{display:{Name:\'{"text":"FRAGILE: Jelly Inside!"}\'},packedItems: "wares:chests/jelly_of_the_month_club"}}],requested:[{id: "minecraft:glass_bottle"}],sealTooltip:\'{"text":"Jelly Of The Month Club"}\',title:\'{"text":"Jelly of the Month Club"}\'}'
        )
      ).withChance(1),
    ]);

  event
    .addLootTableModifier("wares:chests/hellnofresh_beef_packages")
    .addWeightedLoot([
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Beefy Goodness Deluxe Meal Kit"}\'},packedItems:[{Count:4,id:"minecraft:bowl"},{Count:4,id:"qualitycrops:carrot_diamond"},{Count:4,id:"qualitysdelight:minced_beef_diamond"},{Count:4,id:"qualitycrops:potato_diamond"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Beef Stew Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Beefy Goodness Deluxe Meal Kit"}\'},packedItems:[{Count:4,id:"qualitycrops:dough_diamond"},{Count:4,id:"qualitysdelight:minced_beef_diamond"},{Count:4,id:"qualitysdelight:cabbage_leaf_diamond"},{Count:4,id:"qualitysdelight:onion_diamond"},{Count:4,id:"qualitysdelight:tomato_diamond"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Hamburger Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Beefy Goodness Deluxe Meal Kit"}\'},packedItems:[{Count:4,id:"qualitycrops:beef_diamond"},{Count:4,id:"qualitycrops:potato_diamond"},{Count:4,id:"qualitysdelight:onion_diamond"},{Count:4,id:"qualitysdelight:rice_diamond"},{Count:8,id:"minecraft:bowl"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Steak and Potatoes Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
    ]);

  event
    .addLootTableModifier("wares:chests/hellnofresh_pork_packages")
    .addWeightedLoot([
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Porky Perfection Deluxe Meal Kit"}\'},packedItems:[{Count:8,id:"qualitysdelight:bacon_diamond"},{Count:8,id:"qualitycrops:egg_diamond"},{Count:4,id:"minecraft:bowl"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Bacon and Eggs Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Porky Perfection Deluxe Meal Kit"}\'},packedItems:[{Count:4,id:"qualitysdelight:bacon_diamond"},{Count:4,id:"qualitysdelight:tomato_diamond"},{Count:4,id:"qualitysdelight:cabbage_leaf_diamond"},{Count:4,id:"qualitycrops:dough_diamond"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Bacon Sandwich Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Porky Perfection Deluxe Meal Kit"}\'},packedItems:[{Count:2,id:"qualitysdelight:ham_diamond"},{Count:8,id:"minecraft:sweet_berries"},{Count:4,id:"qualitysdelight:rice_diamond"},{Count:10,id:"minecraft:bowl"},{Count:2,id:"minecraft:honey_bottle"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Honey Glazed Ham Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
    ]);

  event
    .addLootTableModifier("wares:chests/hellnofresh_mutton_packages")
    .addWeightedLoot([
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Mmm-Mmm-Mutton Deluxe Meal Kit"}\'},packedItems:[{Count:2,id:"qualitysdelight:mutton_chops_diamond"},{Count:2,id:"farmersdelight:milk_bottle"},{Count:4,id:"qualitycrops:potato_diamond"},{Count:4,id:"qualitysdelight:onion_diamond"},{Count:2,id:"minecraft:bowl"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Shepherds Pie Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Mmm-Mmm-Mutton Deluxe Meal Kit"}\'},packedItems:[{Count:4,id:"qualitysdelight:mutton_chops_diamond"},{Count:8,id:"qualitysdelight:tomato_diamond"},{Count:2,id:"qualitycrops:dough_diamond"},{Count:8,id:"minecraft:bowl"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Pasta with Mutton Chop Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Mmm-Mmm-Mutton Deluxe Meal Kit"}\'},packedItems:[{Count:4,id:"qualitysdelight:mutton_chops_diamond"},{Count:4,id:"qualitycrops:beetroot_diamond"},{Count:4,id:"qualitysdelight:tomato_diamond"},{Count:4,id:"qualitysdelight:rice_diamond"},{Count:8,id:"minecraft:bowl"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Roasted Mutton Chops Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Mmm-Mmm-Mutton Deluxe Meal Kit"}\'},packedItems:[{Count:4,id:"qualitysdelight:mutton_chops_diamond"},{Count:4,id:"qualitycrops:dough_diamond"},{Count:4,id:"qualitysdelight:onion_diamond"},{Count:4,id:"qualitysdelight:cabbage_leaf_diamond"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Mutton Wrap Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
    ]);

  event
    .addLootTableModifier("wares:chests/hellnofresh_chicken_packages")
    .addWeightedLoot([
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Chick-a-licious Deluxe Meal Kit"}\'},packedItems:[{Count:2,id:"qualitycrops:chicken_diamond"},{Count:4,id:"qualitycrops:carrot_diamond"},{Count:4,id:"qualitycrops:potato_diamond"},{Count:2,id:"qualitysdelight:onion_diamond"},{Count:2,id:"qualitycrops:egg_diamond"},{Count:2,id:"qualitycrops:dough_diamond"}],sender:"HellNoFresh Delivery"}'
        )
      ),
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Chick-a-licious Deluxe Meal Kit"}\'},packedItems:[{Count:4,id:"qualitysdelight:chicken_cuts_diamond"},{Count:4,id:"qualitycrops:carrot_diamond"},{Count:4,id:"qualitycrops:potato_diamond"},{Count:4,id:"qualitysdelight:cabbage_leaf_diamond"},{Count:4,id:"minecraft:bowl"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Chicken Soup Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
      LootEntry.of(
        Item.of(
          "wares:package",
          '{display:{Name:\'{"text":"Chick-a-licious Deluxe Meal Kit"}\'},packedItems:[{Count:4,id:"qualitycrops:carrot_diamond"},{Count:4,id:"qualitysdelight:chicken_cuts_diamond"},{Count:4,id:"qualitysdelight:cabbage_leaf_diamond"},{Count:4,id:"qualitycrops:dough_diamond"},{Count:1,id:"labels:label",tag:{RepairCost:0,display:{Name:\'{"text":"HellNoFresh Chicken Sandwich Recipe Card"}\'}}}],sender:"HellNoFresh Delivery"}'
        )
      ),
    ]);

  event
    .addLootTableModifier("wares:chests/jelly_of_the_month_club")
    .addLoot([LootEntry.of("#fruitsdelight:jelly")]);

  event
    .addLootTableModifier("wares:chests/trade_a_book")
    .addLoot([LootEntry.of("minecraft:book").enchantWithLevels([34, 91])]);

  event
    .addLootTableModifier("wares:chests/kings_reward")
    .addWeightedLoot([
      LootEntry.of("minecraft:emerald").limitCount([8, 16]).withChance(30),
      LootEntry.of("minecraft:diamond").limitCount([8, 16]).withChance(30),
      LootEntry.of("minecraft:gold_block").limitCount([2, 4]).withChance(10),
      LootEntry.of("minecraft:diamond_block").limitCount([2, 4]).withChance(10),
      LootEntry.of("rats:tiny_coin").limitCount([4, 8]).withChance(5),
      LootEntry.of("undergarden:forgotten_nugget")
        .limitCount([1, 4])
        .withChance(7),
      LootEntry.of("craftable_elytra_remastered:elytra_side").withChance(5),
      LootEntry.of("minecraft:ancient_debris").withChance(2),
      LootEntry.of("createutilities:void_steel_ingot").withChance(1),
    ]);

  event
    .addLootTableModifier("wares:chests/trim_trader")
    .addWeightedLoot([
      LootEntry.of("#minecraft:trim_templates").withChance(96),
      LootEntry.of(
        "undergarden:forgotten_upgrade_smithing_template"
      ).withChance(1),
      LootEntry.of("minecraft:netherite_upgrade_smithing_template").withChance(
        1
      ),
      LootEntry.of("seadwellers:depth_upgrade_smithing_template").withChance(1),
      LootEntry.of("deeperdarker:warden_upgrade_smithing_template").withChance(
        1
      ),
    ]);

  event
    .addLootTableModifier("wares:chests/wares_payment_bricks")
    .addWeightedLoot([
      LootEntry.of("minecraft:brick").withChance(5),
      LootEntry.of("minecraft:nether_brick").withChance(3),
      LootEntry.of("alexscaves:cinder_brick").withChance(1),
      LootEntry.of("architects_palette:algal_brick").withChance(1),
      LootEntry.of("embers:archaic_brick").withChance(1),
      LootEntry.of("supplementaries:ash_brick").withChance(1),
    ]);

  event
    .addLootTableModifier("wares:chests/skeleton_sealed_agreements")
    .addLoot([
      LootEntry.of(
        Item.of(
          "wares:sealed_delivery_agreement",
          '{backsideMessage:\'{"text":"Welcome To The M.O.B."}\', buyerAddress:\'{"text":"64 Ender Eye Avenue"}\',buyerName:[{component:\'{"color":"dark_green","text":"Rexxar Ghasthunter, CEO"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"mob_agreement_sealed",message:\'{"text":"The Monster Obliteration Bureau is recruiting! Send required monster drops and get rewarded with exotic ones. A chance to upgrade your gear and join our elite. Enlist now for unique bounties and rewards!"}\',ordered:{max:16,min:4,step:2},payment:[{id:"wares:package",Count:1,tag:{display:{Name:\'{"text":"M.O.B. Network Delivery"}\'},packedItems: "wares:chests/wares_payment_mob_drops"}}],requested:"wares:chests/mob_drops_trades",sealTooltip:\'{"text":"The M.O.B. Network"}\',title:\'{"text":"Monster Obliteration Bureau"}\'}'
        )
      ).withChance(5),
    ]);

  event
    .addLootTableModifier("wares:chests/wares_payment_mob_drops")
    .addWeightedLoot([
      LootEntry.of("minecraft:ghast_tear").limitCount([1, 3]).withChance(5),
      LootEntry.of("minecraft:phantom_membrane")
        .limitCount([1, 3])
        .withChance(3),
      LootEntry.of("minecraft:blaze_rod").limitCount([2, 8]).withChance(5),
      LootEntry.of("minecraft:echo_shard").limitCount([1, 2]).withChance(1),
      LootEntry.of("minecraft:shulker_shell").limitCount([1, 2]).withChance(3),
      LootEntry.of("supplementaries:enderman_head").withChance(1),
    ]);

  event
    .addLootTableModifier("wares:chests/mob_drops_trades")
    .addWeightedLoot([
      LootEntry.of("minecraft:bone").limitCount([16, 32]).withChance(5),
      LootEntry.of("minecraft:spider_eye").limitCount([8, 32]).withChance(2),
      LootEntry.of("minecraft:rotten_flesh").limitCount([16, 32]).withChance(5),
      LootEntry.of("minecraft:gunpowder").limitCount([8, 32]).withChance(3),
      LootEntry.of("minecraft:ender_pearl").limitCount([2, 8]).withChance(1),
    ]);
});